Mailinglist Archive: opensuse-updates (119 mails)

< Previous Next >
openSUSE-SU-2017:3196-1: Security update for libressl
openSUSE Security Update: Security update for libressl
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:3196-1
Rating: low
References: #1065363
Affected Products:
openSUSE Leap 42.3
openSUSE Leap 42.2
______________________________________________________________________________

An update that contains security fixes can now be installed.

Description:

This update for libressl fixes the following issues:

- an out-of-bounds read in the DES code may have led to an application
crash (boo#1065363)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2017-1323=1

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-1323=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (i586 x86_64):

libcrypto41-2.5.3-8.1
libcrypto41-debuginfo-2.5.3-8.1
libressl-2.5.3-8.1
libressl-debuginfo-2.5.3-8.1
libressl-debugsource-2.5.3-8.1
libressl-devel-2.5.3-8.1
libssl43-2.5.3-8.1
libssl43-debuginfo-2.5.3-8.1
libtls15-2.5.3-8.1
libtls15-debuginfo-2.5.3-8.1

- openSUSE Leap 42.3 (x86_64):

libcrypto41-32bit-2.5.3-8.1
libcrypto41-debuginfo-32bit-2.5.3-8.1
libressl-devel-32bit-2.5.3-8.1
libssl43-32bit-2.5.3-8.1
libssl43-debuginfo-32bit-2.5.3-8.1
libtls15-32bit-2.5.3-8.1
libtls15-debuginfo-32bit-2.5.3-8.1

- openSUSE Leap 42.3 (noarch):

libressl-devel-doc-2.5.3-8.1

- openSUSE Leap 42.2 (i586 x86_64):

libcrypto41-2.5.3-5.6.1
libcrypto41-debuginfo-2.5.3-5.6.1
libressl-2.5.3-5.6.1
libressl-debuginfo-2.5.3-5.6.1
libressl-debugsource-2.5.3-5.6.1
libressl-devel-2.5.3-5.6.1
libssl43-2.5.3-5.6.1
libssl43-debuginfo-2.5.3-5.6.1
libtls15-2.5.3-5.6.1
libtls15-debuginfo-2.5.3-5.6.1

- openSUSE Leap 42.2 (x86_64):

libcrypto41-32bit-2.5.3-5.6.1
libcrypto41-debuginfo-32bit-2.5.3-5.6.1
libressl-devel-32bit-2.5.3-5.6.1
libssl43-32bit-2.5.3-5.6.1
libssl43-debuginfo-32bit-2.5.3-5.6.1
libtls15-32bit-2.5.3-5.6.1
libtls15-debuginfo-32bit-2.5.3-5.6.1

- openSUSE Leap 42.2 (noarch):

libressl-devel-doc-2.5.3-5.6.1


References:

https://bugzilla.suse.com/1065363


< Previous Next >
This Thread
  • No further messages